ChangeLog

# ChangeLog for app-pda/libopensync
# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/app-pda/libopensync/ChangeLog,v 1.27 2008/06/15 06:11:14 zmedico Exp $

15 Jun 2008; Zac Medico libopensync-0.22.ebuild:
Bug #226505 - For compatibility with phase execution order in
>=portage-2.1.5, call has_version inside pkg_preinst instead of
pkg_postinst.

20 Apr 2008; Diego Pettenò
libopensync-0.36.ebuild, libopensync-9999.ebuild:
Make swig a build-time only dependency, fixes bug #216996.

02 Mar 2008; Ryan Hill libopensync-0.22.ebuild:
~mips

*libopensync-0.36 (27 Jan 2008)

27 Jan 2008; Piotr Jaroszyński
+libopensync-0.36.ebuild:
Add 0.36.

23 Dec 2007; Piotr Jaroszyński
libopensync-0.35.ebuild, libopensync-9999.ebuild:
Fix cmake dep.

*libopensync-0.35 (21 Dec 2007)

21 Dec 2007; Piotr Jaroszyński
+libopensync-0.35.ebuild, libopensync-9999.ebuild:
Add 0.35.

*libopensync-9999 (26 Nov 2007)

26 Nov 2007; Piotr Jaroszyński
+libopensync-9999.ebuild:
Add live svn ebuild.

11 Aug 2007; Raúl Porcel libopensync-0.22.ebuild:
x86 stable wrt #185823

10 Aug 2007; Christoph Mende libopensync-0.22.ebuild:
Stable on amd64 wrt bug #176297

10 Aug 2007; Jeroen Roovers libopensync-0.22.ebuild:
Stable for HPPA (bug #176297).

09 Aug 2007; Markus Rothe libopensync-0.22.ebuild:
Stable on ppc64; bug #176297

08 Aug 2007; Raúl Porcel libopensync-0.22.ebuild:
alpha/ia64 stable wrt #176297

07 Aug 2007; Joseph Jezak libopensync-0.22.ebuild:
Marked ppc stable.

07 Aug 2007; Gustavo Zacarias
libopensync-0.22.ebuild:
Stable on sparc wrt #176297

17 Jun 2007; Piotr Jaroszyński
+files/libopensync-0.22-fbsd.patch, libopensync-0.22.ebuild:
Fix for fbsd. Thanks to Toffanin Mauro in bug #182314.

16 Jun 2007; Tobias Scherbaum
libopensync-0.22.ebuild:
Added ~ppc, bug #178853

22 May 2007; Markus Rothe libopensync-0.22.ebuild:
Added ~ppc64; bug #178853

21 May 2007; Raúl Porcel libopensync-0.22.ebuild:
Add ~alpha/~ia64 wrt #178853

17 May 2007; Jeroen Roovers libopensync-0.22.ebuild:
Marked ~hppa (bug #178853).

11 May 2007; Gustavo Zacarias
libopensync-0.22.ebuild:
Keyworded ~sparc wrt #178071

28 Mar 2007; Piotr Jaroszyński
+libopensync-0.20.ebuild:
Readd old libopensync for libopensync-plugin-synce, which is btw going to be
masked.

*libopensync-0.22 (28 Mar 2007)

28 Mar 2007; Piotr Jaroszyński
-libopensync-0.20.ebuild, libopensync-0.21.ebuild,
+libopensync-0.22.ebuild:
Version bump.

*libopensync-0.21 (12 Feb 2007)

12 Feb 2007; Piotr Jaroszyński
-libopensync-0.19.ebuild, libopensync-0.20.ebuild,
+libopensync-0.21.ebuild:
Version bump.

13 Nov 2006; Piotr Jaroszyński
libopensync-0.20.ebuild:
Remove no longer needed manual installation of pkgconfig files.

13 Nov 2006; Piotr Jaroszyński
libopensync-0.20.ebuild:
Fix econf.

*libopensync-0.20 (09 Nov 2006)

09 Nov 2006; Piotr Jaroszyński
+libopensync-0.20.ebuild:
Version bump.

*libopensync-0.19 (23 Oct 2006)

23 Oct 2006; Piotr Jaroszyński +metadata.xml,
+libopensync-0.19.ebuild:
New package.

Manifest

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

AUX libopensync-0.22-fbsd.patch 981 RMD160 32336ef24c3f7c093db6fe550061cba3a2d9baad SHA1 4408b9c05a649e0be8a96505dcaefd4ce52df2f5 SHA256 49089d7e784a5c0f7f2566880db6d266162c1661e35308d6077ea68a23ba78a6
DIST libopensync-0.20.tar.gz 681064 RMD160 3cfaf0a456cd78240a4abb04e0c4c0c7ea35f878 SHA1 88958a9197397eb051e23d14bb710783cb4dd069 SHA256 5da9e72de291e7654fb59bf40b647633f3afb3cde924bd11b80d6ed26c911feb
DIST libopensync-0.21.tar.bz2 526365 RMD160 7294e0296a9f05e791fe119732eef7a9e54cee66 SHA1 ab717090e8596745f4f1d800b4736042d0f7990c SHA256 1adf93d58ee31b788e7be5327de65503d13d6517b314dc9ea1fa54305e6dd895
DIST libopensync-0.22.tar.bz2 489978 RMD160 a1e9715d037a7c474b80d609e6c96a24cbb6692f SHA1 47860a8c6621aa89fbff2af2517787747af7cc30 SHA256 3394bae1e3bcfe463d139a367ba5ebe73d968df128c871842dcb4965a725d0dc
DIST libopensync-0.35.tar.bz2 863792 RMD160 8a06ffeba1a0cddc40a57f0bff7e5909ede77d4c SHA1 db9c7df0a305942c31f08d6136a466bb6bd8c5b9 SHA256 cc2cc8c40b136f7f29c4a2ed7869300e3a0ba2eda3afe494df2c9e2161f28083
DIST libopensync-0.36.tar.bz2 879868 RMD160 8c4f2b6799c2767e53fc51f17ad95fcfb1e09c70 SHA1 df85159b376427953048134c60872e2bd260a245 SHA256 c686d27f0818e2d8cc6277ba123c74d7210e70fa2b320c5a828eaaedd598e908
EBUILD libopensync-0.20.ebuild 1248 RMD160 2ec37608c98352530df4f37dd2c1d106ea9f1980 SHA1 a7f38aeca185688dfd294d8fa3289297fe8a9360 SHA256 4d640031659c1891d5079ec91167da38cc62315b49e8b529629843864784704d
EBUILD libopensync-0.21.ebuild 1258 RMD160 689edd5c9761611e1a93d5a49a598d9b936e5c58 SHA1 94adb7b1a829628937598328a17e6ae4cc6a5cd9 SHA256 bd6699daa2db75f107be9261ba20b74b26bb0f88bae40f178f7e9d6f5a222d10
EBUILD libopensync-0.22.ebuild 1958 RMD160 2297142ba8c988a9a4adae7a29c33fc1cf423243 SHA1 ec035a9174db1047c2191f46a0533359e46949aa SHA256 72c468efa7e7d84f83077f9e63a55fdbeb9d99633805445d5cf96b6891dd169a
EBUILD libopensync-0.35.ebuild 1767 RMD160 b7b5cbdabb35d52e710ea7edaaace0f3229a7d25 SHA1 220c8615c124edeea92c7ab11fcdac09a25bfb20 SHA256 30d004cfe9114a50fd4e5899615a23c62dd1036d5732389ff2423346d071ca78
EBUILD libopensync-0.36.ebuild 2046 RMD160 f4d143fd4c60b1a09b40a90844512fc2f4ce41d0 SHA1 5cc9527200114acfea87ac109e5f8e068340ca0b SHA256 49ae5ca6a7d40810496af090dbb7b46452881a0636f39ffe5b01822de09d6902
EBUILD libopensync-9999.ebuild 1782 RMD160 ac9e94cd91bddc4bef6541402b45adaa6a565b25 SHA1 03afe7d0e3761f499eba336d8ff8d82b290893d8 SHA256 5015e535f5fb8a3ecf7dd002692b45f6eeadf0d471a9e7c70bf701daecdc012e
MISC ChangeLog 3747 RMD160 f62719e1117dcbe8499ff1824153660b95edcf5a SHA1 f690f9247cf63c2ca7d8f844fc28f7857db6aeda SHA256 97f793dda698f84d294534e5ef8cbff2b374e6bb49c3a497e1668a42fb7aff38
MISC metadata.xml 304 RMD160 1da32fded95735800bc96b0ff4c0a3af4691a724 SHA1 b96c72c417192c099990a616b12a1d2f55a06064 SHA256 7fa8df0f64197f3f6c018ed0d6c4cc4da014fbcc9af2da9b633f71657470236a
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.9 (GNU/Linux)

iEYEARECAAYFAkhUsokACgkQ/ejvha5XGaOH4QCfXmjb/1hmhUvlJzsPNLu1/6k/
yUMAoPIbHMON8ptqJNs9yz9vS7tTmB+O
=n5a5
-----END PGP SIGNATURE-----

files

libopensync-0.20.ebuild

# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-pda/libopensync/libopensync-0.20.ebuild,v 1.7 2007/07/15 05:41:19 mr_bones_ Exp $

DESCRIPTION="OpenSync synchronisation framework library"
HOMEPAGE="http://www.opensync.org/"
SRC_URI="http://dev.gentooexperimental.org/~peper/distfiles/${P}.tar.gz"

KEYWORDS="~amd64 ~x86"
SLOT="0"
LICENSE="LGPL-2.1"
IUSE="debug doc python"
#test
#profiling" - needs tau - http://www.cs.uoregon.edu/research/tau/

RDEPEND=">=dev-db/sqlite-3
>=dev-libs/glib-2
dev-libs/libxml2
python? ( >=dev-lang/python-2.2
>=dev-lang/swig-1.3.17 )
debug? ( >=dev-libs/check-0.9.2 ) "
DEPEND="${RDEPEND}
>=dev-util/pkgconfig-0.9.0
doc? ( app-doc/doxygen )"

# Tests are still broken in 0.20
RESTRICT="test"

src_compile() {
#$(use_enable test unit-tests) \
econf \
--enable-engine \
--enable-tools \
$(use_enable python) \
$(use_enable debug) \
$(use_enable debug tracing) \
|| die "econf failed"

emake || die "emake failed"

use doc && doxygen Doxyfile
}
src_install() {
emake DESTDIR="${D}" install || die "emake install failed"

dodoc AUTHORS ChangeLog NEWS README TODO
use doc && dohtml docs/html/*
}

libopensync-0.21.ebuild

# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-pda/libopensync/libopensync-0.21.ebuild,v 1.2 2007/03/28 20:14:35 peper Exp $

DESCRIPTION="OpenSync synchronisation framework library"
HOMEPAGE="http://www.opensync.org/"
SRC_URI="http://dev.gentooexperimental.org/~peper/distfiles/${P}.tar.bz2"

KEYWORDS="~amd64 ~x86"
SLOT="0"
LICENSE="LGPL-2.1"
IUSE="debug doc python"
#test
#profiling" - needs tau - http://www.cs.uoregon.edu/research/tau/

RDEPEND=">=dev-db/sqlite-3
>=dev-libs/glib-2
dev-libs/libxml2
python? ( >=dev-lang/python-2.2
>=dev-lang/swig-1.3.17 )
debug? ( >=dev-libs/check-0.9.2 ) "

DEPEND="${RDEPEND}
>=dev-util/pkgconfig-0.9.0
doc? ( app-doc/doxygen )"

# Some of the tests are still broken in 0.21
RESTRICT="test"

src_compile() {
#$(use_enable test unit-tests) \
econf \
--enable-engine \
--enable-tools \
$(use_enable python) \
$(use_enable debug) \
$(use_enable debug tracing) \
|| die "econf failed"

emake || die "emake failed"

use doc && doxygen Doxyfile
}
src_install() {
emake DESTDIR="${D}" install || die "emake install failed"

dodoc AUTHORS ChangeLog NEWS README TODO
use doc && dohtml docs/html/*
}

libopensync-0.22.ebuild

# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-pda/libopensync/libopensync-0.22.ebuild,v 1.16 2008/06/15 06:11:14 zmedico Exp $

inherit eutils

DESCRIPTION="OpenSync synchronisation framework library"
HOMEPAGE="http://www.opensync.org/"
SRC_URI="http://dev.gentooexperimental.org/~peper/distfiles/${P}.tar.bz2"

KEYWORDS="alpha amd64 hppa ia64 ~mips ppc ppc64 sparc x86"
SLOT="0"
LICENSE="LGPL-2.1"
IUSE="debug doc python"
#profiling" - needs tau - http://www.cs.uoregon.edu/research/tau/

# Tests are not doing anything in 0.22
# $(use_enable test unit-tests) \
RESTRICT="test"

RDEPEND=">=dev-db/sqlite-3
>=dev-libs/glib-2
dev-libs/libxml2
python? ( >=dev-lang/python-2.2
>=dev-lang/swig-1.3.17 )
debug? ( >=dev-libs/check-0.9.2 ) "

DEPEND="${RDEPEND}
>=dev-util/pkgconfig-0.9.0
doc? ( app-doc/doxygen )"

src_unpack() {
unpack ${A}

cd "${S}"
epatch "${FILESDIR}/${P}-fbsd.patch"
}

src_compile() {
econf \
--enable-engine \
--enable-tools \
$(use_enable python) \
$(use_enable debug) \
$(use_enable debug tracing) \
|| die "econf failed"

emake || die "emake failed"

use doc && doxygen Doxyfile
}
src_install() {
emake DESTDIR="${D}" install || die "emake install failed"

dodoc AUTHORS ChangeLog NEWS README TODO
use doc && dohtml docs/html/*
}

pkg_preinst() {
has_version "<${CATEGORY}/${PN}-0.21"
previous_less_than_0_21=$?
}

pkg_postinst() {
elog "Building with 'debug' useflag is highly encouraged"
elog "and requiered for bug reports."
elog "Also see http://www.opensync.org/wiki/tracing"

if [[ $previous_less_than_0_21 = 0 ]] ; then
echo ""
elog "You are updating from version prior to 0.21 and hence you need to rebuild your db."
elog "How: http://www.opensync.org/wiki/FAQ#HowdoIcleanupasyncgroupfortesting"
elog "Why: http://www.nabble.com/Not-Unique-UID-fix-in-subversion-tf3167800.html"
fi
}

libopensync-0.35.ebuild

# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-pda/libopensync/libopensync-0.35.ebuild,v 1.2 2007/12/23 02:19:16 peper Exp $

inherit cmake-utils eutils

DESCRIPTION="OpenSync synchronisation framework library"
HOMEPAGE="http://www.opensync.org/"
SRC_URI="http://www.opensync.org/download/releases/${PV}/${P}.tar.bz2"

KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
SLOT="0"
LICENSE="LGPL-2.1"
IUSE="debug doc python"

# Tests don't pass
#>=dev-libs/check-0.9.2
#mycmakeargs="${mycmakeargs} -DOPENSYNC_UNITTESTS=ON"
RESTRICT="test"

RDEPEND=">=dev-db/sqlite-3
>=dev-libs/glib-2
dev-libs/libxml2
python? ( >=dev-lang/python-2.2 >=dev-lang/swig-1.3.17 )"

DEPEND="${RDEPEND}
>=dev-util/cmake-2.4.7
>=dev-util/pkgconfig-0.9.0
doc? ( app-doc/doxygen )"

src_compile() {
local mycmakeargs
mycmakeargs="${mycmakeargs} -DCMAKE_SKIP_RPATH=ON"
mycmakeargs="${mycmakeargs} -DOPENSYNC_TRACE=$(use debug && echo ON || echo OFF)"
mycmakeargs="${mycmakeargs} -DOPENSYNC_DEBUG_MODULES=$(use debug && echo ON || echo OFF)"
mycmakeargs="${mycmakeargs} -DOPENSYNC_PYTHONBINDINGS=$(use python && echo ON || echo OFF)"
mycmakeargs="${mycmakeargs} -DBUILD_DOCUMENTATION=$(use doc && echo ON || echo OFF)"
cmake-utils_src_compile

if use doc ; then
cd "${WORKDIR}/${PN}_build"
doxygen Doxyfile || die "Failed to generate docs."
fi
}

src_install() {
cmake-utils_src_install

if use doc ; then
cd "${WORKDIR}/${PN}_build"
dohtml docs/html/* || die "Failed to install docs."
fi
}

pkg_postinst() {
elog "Building with 'debug' useflag is highly encouraged"
elog "and requiered for bug reports."
elog "Also see http://www.opensync.org/wiki/tracing"
}

libopensync-0.36.ebuild

# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-pda/libopensync/libopensync-0.36.ebuild,v 1.2 2008/04/20 17:07:42 flameeyes Exp $

inherit cmake-utils eutils

DESCRIPTION="OpenSync synchronisation framework library"
HOMEPAGE="http://www.opensync.org/"
SRC_URI="http://www.opensync.org/download/releases/${PV}/${P}.tar.bz2"

KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
SLOT="0"
LICENSE="LGPL-2.1"
IUSE="debug doc python"

# Tests don't pass
#>=dev-libs/check-0.9.2
#mycmakeargs="${mycmakeargs} -DOPENSYNC_UNITTESTS=ON"
RESTRICT="test"

RDEPEND=">=dev-db/sqlite-3
>=dev-libs/glib-2
dev-libs/libxml2
python? ( >=dev-lang/python-2.2 )"

DEPEND="${RDEPEND}
python? ( >=dev-lang/swig-1.3.17 )
>=dev-util/cmake-2.4.7
>=dev-util/pkgconfig-0.9.0
doc? ( app-doc/doxygen )"

src_compile() {
local mycmakeargs
mycmakeargs="${mycmakeargs} -DCMAKE_SKIP_RPATH=ON"
mycmakeargs="${mycmakeargs} -DOPENSYNC_TRACE=$(use debug && echo ON || echo OFF)"
mycmakeargs="${mycmakeargs} -DOPENSYNC_DEBUG_MODULES=$(use debug && echo ON || echo OFF)"
mycmakeargs="${mycmakeargs} -DOPENSYNC_PYTHONBINDINGS=$(use python && echo ON || echo OFF)"
mycmakeargs="${mycmakeargs} -DBUILD_DOCUMENTATION=$(use doc && echo ON || echo OFF)"
cmake-utils_src_compile

if use doc ; then
cd "${WORKDIR}/${PN}_build"
doxygen Doxyfile || die "Failed to generate docs."
fi
}

src_test() {
echo ">>> Test phase [test]: ${CATEGORY}/${PF}"

pushd "${WORKDIR}/${PN}_build" > /dev/null

if ! LD_LIBRARY_PATH="${WORKDIR}/${PN}_build/opensync/" emake -j1 test ; then
die "Make test failed. See above for details."
fi

popd > /dev/null
}

src_install() {
cmake-utils_src_install

if use doc ; then
cd "${WORKDIR}/${PN}_build"
dohtml docs/html/* || die "Failed to install docs."
fi
}

pkg_postinst() {
elog "Building with 'debug' useflag is highly encouraged"
elog "and requiered for bug reports."
elog "Also see http://www.opensync.org/wiki/tracing"
}

libopensync-9999.ebuild

# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-pda/libopensync/libopensync-9999.ebuild,v 1.4 2008/04/20 17:07:42 flameeyes Exp $

inherit cmake-utils eutils subversion

DESCRIPTION="OpenSync synchronisation framework library"
HOMEPAGE="http://www.opensync.org/"
SRC_URI=""

ESVN_REPO_URI="http://svn.opensync.org/trunk"

KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
SLOT="0"
LICENSE="LGPL-2.1"
IUSE="debug doc python"

# Tests don't pass
#>=dev-libs/check-0.9.2
#mycmakeargs="${mycmakeargs} -DOPENSYNC_UNITTESTS=ON"
RESTRICT="test"

RDEPEND=">=dev-db/sqlite-3
>=dev-libs/glib-2
dev-libs/libxml2
python? ( >=dev-lang/python-2.2 )"

DEPEND="${RDEPEND}
python? ( >=dev-lang/swig-1.3.17 )
>=dev-util/cmake-2.4.7
>=dev-util/pkgconfig-0.9.0
doc? ( app-doc/doxygen )"

src_compile() {
local mycmakeargs
mycmakeargs="${mycmakeargs} -DCMAKE_SKIP_RPATH=ON"
mycmakeargs="${mycmakeargs} -DOPENSYNC_TRACE=$(use debug && echo ON || echo OFF)"
mycmakeargs="${mycmakeargs} -DOPENSYNC_DEBUG_MODULES=$(use debug && echo ON || echo OFF)"
mycmakeargs="${mycmakeargs} -DOPENSYNC_PYTHONBINDINGS=$(use python && echo ON || echo OFF)"
mycmakeargs="${mycmakeargs} -DBUILD_DOCUMENTATION=$(use doc && echo ON || echo OFF)"
cmake-utils_src_compile

if use doc ; then
cd "${WORKDIR}/${PN}_build"
doxygen Doxyfile || die "Failed to generate docs."
fi
}

src_install() {
cmake-utils_src_install

if use doc ; then
cd "${WORKDIR}/${PN}_build"
dohtml docs/html/* || die "Failed to install docs."
fi
}

pkg_postinst() {
elog "Building with 'debug' useflag is highly encouraged"
elog "and requiered for bug reports."
elog "Also see http://www.opensync.org/wiki/tracing"
}

metadata.xml




pda

peper@gentoo.org
Piotr Jaroszyński